[data-bs-theme=light] {
	--bs-primary: #B2CEEA;
	--bs-text-primary: #395DAA;
	--bs-warning: #395DAA;
}
/* 075544 */
#kt_app_header {
	background: #395DAA;
}
.badge-light-primary {
    background-color: var(--bs-primary-light);
    color: #a58100;
}
.bg-light-primary {
    background-color: #e9f0f7 !important;
}

.app-header-menu .menu .menu-item .menu-link .menu-title {
	color: #B2CEEA;
}

:is([data-kt-app-layout=light-sidebar],[data-kt-app-layout=light-header],[data-kt-app-layout=dark-header]) .app-toolbar .form-select {
	background-color: transparent!important;
}

.btn-check:active+.btn.btn-active-light, .btn-check:checked+.btn.btn-active-light, .btn.btn-active-light.active, .btn.btn-active-light.show, .btn.btn-active-light:active:not(.btn-active), .btn.btn-active-light:focus:not(.btn-active), .btn.btn-active-light:hover:not(.btn-active), .show>.btn.btn-active-light {
    background-color: var(--bs-primary) !important;
}
			
.vegas-overlay {
    background: transparent url(../media/02.png);
    margin: 0px;
    padding: 0px;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    opacity: 0.6;
}


.blur {
    backdrop-filter: blur(7px);
	border-radius: 5px;
	background: rgba(0,0,0,.5)!important
}

::-ms-reveal {
  display: none;
}

.waterdropbg {
    background: url(../media/waterdrop.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
	height: 115px;

}

#logo-large {
    display: block;
    width: 225px;
}

*[data-kt-app-sidebar-minimize="on"] .app-sidebar .menu-title, *[data-kt-app-sidebar-minimize="on"] .app-sidebar .menu-arrow {
    display: none !important;
}

/* Overall widget container */
.wind-widget {
  display: inline-block;
  margin: 1rem;
  text-align: center;
}

/* The circle representing the Earth */
.circle {
  position: relative;
  width: 110px;   /* adjust size as needed */
  height: 110px;
  margin: 0 auto;
  border: 2px solid #fff;
  border-radius: 50%;
  background-color: #222; /* background to simulate earth */
  box-sizing: border-box;
}

/* The arrow image – positioned absolutely */
.arrow {
	position: absolute;
	width: 24px;   
	height: 24px;
	transform-origin: 50% 100%;
	transform: translate(-50%, -50%);
}

/* Wind speed text (centered) */
.speed {
	position: absolute;
	top: 40%;
	left: 50%;
	transform: translate(-50%, -50%);
	color: #fff;
    line-height: 1;
}

/* Wind direction text (near the bottom) */
.dir {
  position: absolute;
  bottom: 10%;
  left: 50%;
  transform: translateX(-50%);
  color: #fff;
  font-size: 0.9rem;
}


.gradientWrapper {
  align-items: center;
  background-image: linear-gradient(to right, #075544, #395daa, #B2CEEA);
  background-size: 600%;
  background-position: 0 0;
  box-shadow: inset 0 0 5em rgba(0,0,0,.5);
  justify-content: center;
  animation-duration: 20s;
  animation-iteration-count: infinite;
  animation-name: gradients;

}

@keyframes gradients {
    0%   {background-position: 0 0;}
    25% {background-position: 50% 0;}
    50% {background-position: 90% 0;}
    60% {background-position: 60%;}
    75% {background-position: 40%;}
    100%  {background-position: 0 0;}
}

.logo-wrapper {
	width: 350px;
	top: 50px;
    left: 50px;
}

.legend {
	position:absolute;
	bottom:10px;
	right:10px;
	background:white;
	padding:10px;
	border:1px solid #ccc;
	z-index:999;
}


#map_sidebar_toggle {
    left: 0;
    top: 50%;
    -webkit-transform: translate(0px, -100%);
    transform: translate(0px, -100%);
    width: 15px;
	height: 50px;
    z-index: 9;
    border-radius: 0 5px 5px 0;
    padding-right: 4px;
}



/**********************************/
#location {
    bottom: 0;
    left: 50%;
    -webkit-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
    text-shadow: 0 0 black;
}



#mapLayersHolder {
    position: absolute;
    right: 60px;
    top: 50%;
    -webkit-transform: translate(0px, -50%);
    transform: translate(0px, -50%);
    box-shadow: 0 0 10px 0 rgb(0 0 0 / 10%);
	display: none;
	background: var(--bs-body-bg);
	max-height: 70vh;
	width: 300px;
    overflow: auto;
}

.ol-scale-line-inner {
    border: 1px solid #fff;
    color: #fff;
	border-top: none;
}

.ol-scale-line {
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(2px);
}

#mapToolbar {
    position: absolute;
    right: 50%;
    transform: translate(50%, 0px);
    top: 10px;
	display: none;
}

#advancedSearch {
	transform: rotate(90deg);
}

#legendBlock {
    bottom: 40px;
    left: 10px;
}

.legend-el-color {
    width: 12px;
    height: 12px;
    display: inline-block;
    vertical-align: middle;
}

.mostOver{
	z-index: 1000000!important;
}

.no-breaks {
	white-space:nowrap;
}




/*****************
.ol-layerswitcher.ol-collapsed {
  min-width: unset;
}

.ol-layerswitcher > ul.panel {
  overflow-y: auto;
  box-sizing: border-box;
}

.ol-layerswitcher li .li-content {
  width: calc(100% - 2.5rem);
}

.ol-layerswitcher li .li-content label {
  width: 100%;
  box-sizing: border-box;
  vertical-align: middle;
  margin: .6em 0;
}

.ol-control.ol-layerswitcher .panel-container {
  padding-right: 0;
}

.ol-layerswitcher .panel li .layerswitcher-opacity {
  width: 90%;
  display: inline-block;
  vertical-align: middle;
  box-sizing: border-box;
  vertical-align: middle;
  margin: 0;
}
.ol-layerswitcher .layerswitcher-opacity {
  border:0;
  background: none;
  height: 1em;
  box-shadow: none;
}
.ol-layerswitcher .layerswitcher-opacity:before {
  content: "";
  width: 100%;
  height: 3px;
  background: #017eff;
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  border: 1px solid #017eff;
  box-sizing: border-box;
}
.ol-layerswitcher .layerswitcher-opacity .layerswitcher-opacity-cursor {
  width: auto;
  transform: translateY(-50%);
  height: 3px;
  right: 0;
  background: #666;
  border-radius: 0;
}
.ol-touch .ol-layerswitcher .layerswitcher-opacity .layerswitcher-opacity-cursor,
.ol-layerswitcher .layerswitcher-opacity .layerswitcher-opacity-cursor:before {
  position: absolute;
  transform: translate(-50%,-50%);
  width: 10px;
  height: 10px;
  left: -1px;
  border-radius: 100%;
  background: #017eff;
}
.ol-layerswitcher .layerswitcher-opacity-label {
  display: block;
  right: -1.5rem;
  bottom: 5%;
  font-size: 0.6em;
  user-select: none;
  -webkit-transform: translateX(50%);
  transform: translateX(50%);
}

.ol-layerswitcher .layerup {
  width: 2em;
  background: none;
  position: absolute;
  right: 0;
  cursor: move;
}

.ol-layerswitcher .layerup:after {
  content:none;
}
.ol-layerswitcher .layerup:before {
  color: var(--bs-body-color);
  content: "\F0C9";
  font-family: FontAwesome;
  border: 0;
  top: 50%;
  transform: translateY(-50%);
  height: 1em;
  left: unset;
}

.ol-layerswitcher [type=checkbox]+label:before, 
.ol-layerswitcher [type=radio]+label:before {
  content: '';
  border-radius: 0.45em;
  width: 1.75rem;
  height: 1.75rem; 
  border: 2px solid var(--bs-gray-300);
  background-color: var(--bs-gray-300);
}
.ol-layerswitcher [type=checkbox]:checked+label:before, 
.ol-layerswitcher [type=radio]:checked+label:before {
	background-color: var(--bs-blue);
    border-color: var(--bs-blue);
} 
.ol-layerswitcher [type=checkbox]:checked+label:after{
	--bs-form-check-bg-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 13 11' width='13' height='11' fill='none'%3e%3cpath d='M11.0426 1.02893C11.3258 0.695792 11.8254 0.655283 12.1585 0.938451C12.4917 1.22162 12.5322 1.72124 12.249 2.05437L5.51985 9.97104C5.23224 10.3094 4.72261 10.3451 4.3907 10.05L0.828197 6.88335C0.50141 6.59288 0.471975 6.09249 0.762452 5.7657C1.05293 5.43891 1.55332 5.40948 1.88011 5.69995L4.83765 8.32889L11.0426 1.02893Z' fill='%23ffffff'/%3e%3c/svg%3e");
    border-width: unset;
    border-style: none;
    background-image: var(--bs-form-check-bg-image);
    -webkit-transform: none;
    transform: none;
	left: 0.1em;
    top: 0.1em;
    width: 1.75rem;
    height: 1.75rem; 
	-webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 0.45em;
    background-size: 60% 60%;
	background-repeat: no-repeat;
	background-color: var(--bs-blue);
    border-color: var(--bs-blue);
    background-position: center;
}






.ol-layerswitcher [type="radio"]:checked+label:after {
  content: none;
}

.ol-control.ol-layerswitcher {
  background: #017eff;
  right: 0;
  border-radius: 0;
}
.ol-layerswitcher button,
.ol-layerswitcher button:focus,
.ol-layerswitcher button:hover {
  background: #017eff;
  border: 0;
  user-select: none;
  outline: none;
}
.ol-layerswitcher button:before {
  background: #017eff;
  -webkit-box-shadow: 0.1em 0.1em #fff;
  box-shadow: 0.1em 0.1em #fff;
}
.ol-layerswitcher button:after {
  background: #fff;
  background-image: none;
}

.ol-layerswitcher .ol-layer-group > .ol-layerswitcher-buttons .layerInfo {
  display: none;
}
.ol-layerswitcher .expend-layers:before, .ol-layerswitcher .collapse-layers:before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	margin-top: 0px;
	height: 100%;
    width: 100%;
}

.ol-layerswitcher .expend-layers:after {
	content: "";
	position: absolute;
	top: 0px;
	left: 0;
	margin-top: 0px;
	height: 100%;
    width: 100%;
}

.ol-layerswitcher .panel li {
	position: relative;
}


.ol-layerswitcher .expend-layers, 
.ol-layerswitcher .collapse-layers {
  top: 10px;
}
.ol-layerswitcher .expend-layers:after, 
.ol-layerswitcher .collapse-layers:after {
	display: none;
}

.ol-layerswitcher .expend-layers:before,
.ol-layerswitcher .collapse-layers:before {
    will-change: transform;
    background-size: 100% 100%!important;
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 6 6' fill='%23F5F5F5'%3e%3cpath d='M3.27989 3.23571L1.53642 4.97917C1.36382 5.15176 1.36383 5.43158 1.53642 5.60417C1.70901 5.77676 1.98882 5.77676 2.16139 5.60417L4.47096 3.29463C4.63371 3.13192 4.63371 2.86809 4.47096 2.70538L2.16139 0.395812C1.98883 0.22325 1.70901 0.22325 1.53642 0.395812C1.36383 0.568437 1.36383 0.84825 1.53642 1.02081L3.27989 2.76429C3.41006 2.89446 3.41006 3.10554 3.27989 3.23571Z'/%3e%3c/svg%3e");
    transition: transform 0.3s ease;
}

.ol-layerswitcher .expend-layers:before {
    transform: rotateZ(90deg);
}

.ol-layerswitcher .collapse-layers:before {
    transform: rotateZ(-90deg);
}



.ol-layerswitcher .panel ul {
  overflow: visible;
}
.ol-layerswitcher .layerInfo {
  right: 0;
  background: #017eff;
}

.ol-control.ol-layerswitcher .ol-switchertopdiv, 
.ol-control.ol-layerswitcher .ol-switcherbottomdiv {
  display: none!important;
}

.ol-layerswitcher .panel li label {
    height: 2rem;
    padding: 0 0 0 2.5rem;
    font-weight: 400;
}

.ol-layerswitcher .panel li label span {
    line-height: 2;
}

.ol-layerswitcher .layerswitcher-progress {
    display: block;
    margin: 0;
    position: absolute;
    width: 100%;
    height: 10px;
    bottom: -10px;
}


*************/

    .ol-layer-shop i {
      color: inherit;
      font-size: 1.3em;
    }

    .layerswitcher-opacity {
      display: none;
    }

